<!-- Edit this file to change the layout of the detail view form -->

<a name="detail-view"></a>
<div class="panel-heading"><h3 class="panel-title"><strong><%%DETAIL_VIEW_TITLE%%></strong></h3></div>

<div class="panel-body" id="gestion_transactions_dv_container">
	<!-- child links -->
	<div class="row vspacer-md">
		<div class="col-xs-12">
			<input type="hidden" id="billeteries_hclink" value="billeteries_view.php?filterer_link_out=<%%URLVALUE(idgtransaction)%%>&<%%EMBEDDED%%>">
			<div class="clearfix"></div>
		</div>
	</div>
	<hr class="hidden-xs hidden-sm">

	<div class="row">
		<!-- form inputs -->
		<div class="col-md-8 col-lg-10" id="gestion_transactions_dv_form">
			<fieldset class="form-horizontal">

				<div class="form-group">
					<hr class="hidden-md hidden-lg">
					<label for="agent_init" class="control-label col-lg-3">A.Initial<span class="text-danger"><%%TRANSLATION(*)%%></span></label>
					<div class="col-lg-9">
						<input maxlength="2" type="text" class="form-control" name="agent_init" id="agent_init" value="<%%VALUE(agent_init)%%>" required>
					</div>
				</div>

				<div class="form-group">
					<hr class="hidden-md hidden-lg">
					<label for="numero" class="control-label col-lg-3">N&#176; Facture</label>
					<div class="col-lg-9">
						<div class="form-control-static" id="numero"><%%VALUE(numero)%%></div>
					</div>
				</div>

				<div class="form-group">
					<hr class="hidden-md hidden-lg">
					<label for="date" class="control-label col-lg-3">Date</label>
					<div class="col-lg-9">
						<%%COMBO(date)%%>
					</div>
				</div>

				<div class="form-group">
					<hr class="hidden-md hidden-lg">
					<label for="avec_entete" class="control-label col-lg-3" data-parent_link="view_parent_modal">Ent&#234;te<span class="text-danger"><%%TRANSLATION(*)%%></span></label>
					<div class="col-lg-9">
						<div class="form-control-static" style="white-space: nowrap; overflow-x: hidden;"><%%COMBO(avec_entete)%%><%%PLINK(avec_entete)%%><%%ADDNEW(entete)%%><span id="avec_enteteLoading"></span></div>
					</div>
				</div>

				<div class="form-group">
					<hr class="hidden-md hidden-lg">
					<label for="type" class="control-label col-lg-3">Type<span class="text-danger"><%%TRANSLATION(*)%%></span></label>
					<div class="col-lg-9">
						<%%COMBO(type)%%>
					</div>
				</div>

				<div class="form-group">
					<hr class="hidden-md hidden-lg">
					<label for="nom_prenom" class="control-label col-lg-3" data-parent_link="view_parent_modal">Nom & Pr&#233;nom<span class="text-danger"><%%TRANSLATION(*)%%></span></label>
					<div class="col-lg-9">
						<div class="form-control-static" style="white-space: nowrap; overflow-x: hidden;"><%%COMBO(nom_prenom)%%><%%PLINK(nom_prenom)%%><%%ADDNEW(clients)%%><span id="nom_prenomLoading"></span></div>
					</div>
				</div>

				<div class="form-group">
					<hr class="hidden-md hidden-lg">
					<label for="raison_sociale" class="control-label col-lg-3">Raison sociale</label>
					<div class="col-lg-9">
						<div class="form-control-static" id="raison_sociale"></div>
					</div>
				</div>

				<div class="form-group">
					<hr class="hidden-md hidden-lg">
					<label for="termes" class="control-label col-lg-3">Termes</label>
					<div class="col-lg-9">
						<%%HTMLAREA(termes)%%>
					</div>
				</div>

				<div class="form-group">
					<hr class="hidden-md hidden-lg">
					<label class="control-label col-lg-3">PDF <i class="glyphicon glyphicon-info-sign text-info" data-toggle="collapse" data-target="#fpdf-description"></i></label>
					<div class="col-lg-9">
						<span class="help-block collapse" id="fpdf-description"><div class="alert alert-info">Pour les fichiers PDF</div></span>

						
						<div class="row">
							<div class="col-md-1">
								<a id="fpdf-link" href="link.php?t=gestion_transactions&f=fpdf&i=<%%VALUE(idgtransaction)%%>" target="_blank"><i class="glyphicon glyphicon-file" title="<%%VALUE(fpdf)%%>" style="font-size: x-large; top: .35em;"></i></a>
							</div> <!-- /div.col-* -->
							<script>jQuery(function() { /* */ var e_fpdf = '<%%VALUE(fpdf)%%>'; if(e_fpdf == '' || e_fpdf == '&nbsp;' || e_fpdf == 'blank.gif') jQuery('#fpdf-link').hide(); });</script>						<div class="pull-right well upload-toolbox">
							<div class="hidden-md hidden-lg vspacer-lg"></div>
							<%%UPLOADFILE(fpdf)%%>
							<%%REMOVEFILE(fpdf)%%>
							<div class="text-bold text-danger file-type-error hidden">
								<%%TRANSLATION(invalid file type)%%>
							</div>
							<div class="text-bold text-danger file-size-error hidden">
								<%%TRANSLATION(file too large)%%>
							</div>
						</div>
						<div class="clearfix"></div>
					</div>

					</div>
				</div>

				<div class="form-group">
					<hr class="hidden-md hidden-lg">
					<label class="control-label col-lg-3">ZIP <i class="glyphicon glyphicon-info-sign text-info" data-toggle="collapse" data-target="#fzip-description"></i></label>
					<div class="col-lg-9">
						<span class="help-block collapse" id="fzip-description"><div class="alert alert-info">Pour les fichiers compress&#233;</div></span>

						
						<div class="row">
							<div class="col-md-1">
								<a id="fzip-link" href="link.php?t=gestion_transactions&f=fzip&i=<%%VALUE(idgtransaction)%%>" target="_blank"><i class="glyphicon glyphicon-folder-open" title="<%%VALUE(fzip)%%>" style="font-size: x-large; top: .35em;"></i></a>
							</div> <!-- /div.col-* -->
							<script>jQuery(function() { /* */ var e_fzip = '<%%VALUE(fzip)%%>'; if(e_fzip == '' || e_fzip == '&nbsp;' || e_fzip == 'blank.gif') jQuery('#fzip-link').hide(); });</script>						<div class="pull-right well upload-toolbox">
							<div class="hidden-md hidden-lg vspacer-lg"></div>
							<%%UPLOADFILE(fzip)%%>
							<%%REMOVEFILE(fzip)%%>
							<div class="text-bold text-danger file-type-error hidden">
								<%%TRANSLATION(invalid file type)%%>
							</div>
							<div class="text-bold text-danger file-size-error hidden">
								<%%TRANSLATION(file too large)%%>
							</div>
						</div>
						<div class="clearfix"></div>
					</div>

					</div>
				</div>

				<div class="form-group">
					<hr class="hidden-md hidden-lg">
					<label for="groupe" class="control-label col-lg-3">Groupe</label>
					<div class="col-lg-9">
						<div class="form-control-static" id="groupe"><%%VALUE(groupe)%%></div>
					</div>
				</div>

			</fieldset>
		</div>

		<!-- DV action buttons -->
		<hr class="hidden-md hidden-lg">
		<div class="col-md-4 col-lg-2" id="gestion_transactions_dv_action_buttons">
			<div class="btn-toolbar">
				<div class="btn-group-vertical btn-group-lg" style="width: 100%;">
					<%%UPDATE_BUTTON%%>
				</div><p></p>
				<div class="btn-group-vertical btn-group-lg" style="width: 100%;">
					<%%DESELECT_BUTTON%%>
					<%%DVPRINT_BUTTON%%>
					<%%DELETE_BUTTON%%>
				</div><p></p>
				<div class="btn-group-vertical btn-group-lg" style="width: 100%;">
					<%%INSERT_BUTTON%%>
				</div>
			</div>
		</div>
	</div>

	<input type="hidden" name="matricule" value="<%%VALUE(matricule)%%>">
	<input type="hidden" name="rs" value="<%%VALUE(rs)%%>">
	<input type="hidden" name="adclient" value="<%%VALUE(adclient)%%>">
	<input type="hidden" name="telclient" value="<%%VALUE(telclient)%%>">
	<input type="hidden" name="emclient" value="<%%VALUE(emclient)%%>">
	<input type="hidden" name="devise" value="<%%VALUE(devise)%%>">
	<input type="hidden" name="logo" value="<%%VALUE(logo)%%>">
	<input type="hidden" name="description" value="<%%VALUE(description)%%>">
	<input type="hidden" name="adresse" value="<%%VALUE(adresse)%%>">
	<input type="hidden" name="telephone" value="<%%VALUE(telephone)%%>">
	<input type="hidden" name="whatsapp" value="<%%VALUE(whatsapp)%%>">
	<input type="hidden" name="email" value="<%%VALUE(email)%%>">
	<input type="hidden" name="site_web" value="<%%VALUE(site_web)%%>">
	<input type="hidden" name="bp" value="<%%VALUE(bp)%%>">
	<input type="hidden" name="footer_3" value="<%%VALUE(footer_3)%%>">
	<input type="hidden" name="notice" value="<%%VALUE(notice)%%>">
	<input type="hidden" name="signataire" value="<%%VALUE(signataire)%%>">

	<!-- child records -->
	<hr>
	<div class="row">
		<div class="col-lg-10 col-lg-offset-1">
			<div id="gestion_transactions-children" class="children-tabs"></div>
		</div>
	</div>

</div><!-- /div class="panel-body" -->
	<script src="nicEdit.js"></script>
	<script>
		$j(function() {
			var add_new_mode = (!$j('input[name=SelectedID]').val());
			var embedded_mode = ($j('input[name=Embedded]').val() == 1);

			/* auto-close embedded page? */
			var autoclose_mode = ($j('input[name=AutoClose]').val() == 1);
			var record_added_ok = (location.search.split('record-added-ok=').length == 2);
			var record_updated_ok = (location.search.split('record-updated-ok=').length == 2);
			if((record_added_ok || record_updated_ok) && embedded_mode && autoclose_mode) {
				setTimeout(AppGini.closeParentModal, 2000);
			}

			bkLib.onDomLoaded(function() {
				if($j('textarea#termes').length) new nicEditor({ fullPanel : true }).panelInstance('termes');

				$j('.nicEdit-panelContain').parent().width('100%');
				$j('.nicEdit-panelContain').parent().next().width('98%');
				$j('.nicEdit-main').width('99%');
			});
			/* enable DV action buttons to float on scrolling down the form */
			enable_dvab_floating();

			setTimeout(AppGini.focusFirstFormElement, 1500);

			$j('form').eq(0).change(function() {
				if($j(this).data('already_changed')) return;
				if($j('#deselect').length) $j('#deselect').removeClass('btn-default').addClass('btn-warning').get(0).lastChild.data = " <%%TRANSLATION(Cancel)%%>";
				$j(this).data('already_changed', true);
			});

			// try to detect rich text changes by adding 'input' handler after nicedit is loaded ...
			AppGini.detectContentEditableChanges();

			$j('a[href="<%%TRANSLATION(ImageFolder)%%>"]').click(function() { /* */ return false; });

			if(embedded_mode) {
				/* hide links to children tables in embedded mode */
				$j('.detail_view a[id$=_link]').remove();

				/* append embedded mode to all links */
				var append_embedded = function() {
					$j('a[href]:not([href^="#"]):not([href^="javascript"]):not([href$="Embedded=1"]):not([href*="link.php?t="]):not([href^="mailto:"])').each(
						function() {
							$j(this).attr('href', $j(this).attr('href') + '&Embedded=1');
						}
					);
				}
				setTimeout(append_embedded, 500);
				setTimeout(append_embedded, 1500);
				setTimeout(append_embedded, 2500);
				setTimeout(append_embedded, 3500);
			}

			/* when no record is selected ('add new' mode) */
			if(add_new_mode) {
				/* hide links to children tables */
				$j('.detail_view a[id$=_link]').remove();
			}else{
				post(
					'parent-children.php', {
						ParentTable: 'gestion_transactions',
						SelectedID: '<%%VALUE(idgtransaction)%%>',
						Operation: 'show-children'
					},
					'gestion_transactions-children'
				);
			}

			if(!embedded_mode) {
				/* add a horizontal spacer to [add new parent] buttons that don't have a spacered element before them */
				$j('.add_new_parent').prev(':not(.hspacer-md)').next().addClass('hspacer-md');

				$j('.add_new_parent').click(function() {
					var pt = $j(this).attr('id').replace(/_add_new$/, '');
					modal_window({
						url: pt + '_view.php?addNew_x=1&Embedded=1',
						close: function() {
							var field_id = $j('#' + pt + '_add_new').prevAll('input:hidden').eq(0).attr('id');
							$j('#' + field_id + '-container').select2('focus').select2('focus');

							/* if a new parent was added, select it */
							var new_id = localStorage.getItem(pt + '_last_added_id');
							if(new_id === null) return;

							localStorage.clear(pt + '_last_added_id');
							AppGini.lookupText({
								id: new_id,
								table: 'gestion_transactions',
								field: field_id,
								callback: function(data) {
									$j('#' + field_id + '-container').select2('data', data, true);
								}
							});
						},
						size: 'full',
						title: $j(this).attr('title')
					});
				});
			}

			AppGini.hideViewParentLinks();

			$j('form').on('click', '.view_parent', function() {
				var pt = $j(this).attr('id').replace(/_view_parent$/, '');
				if($j(this).prevAll('input:hidden').length) {
					var parent_id = $j(this).prevAll('input:hidden').eq(0).val();
				}else{
					var parent_id = $j(this).prevAll().children('input:hidden').eq(0).val();
				}

				/* handle radio lookups */
				if($j(this).prevAll('[type=radio]').length) {
					parent_id = $j(this).prevAll('[type=radio]').eq(0).val();
				}

				if(parent_id != '{empty_value}' && parent_id != undefined && parent_id != '') {
					var parent_link = $j(this).parents('.form-group').children('label').data('parent_link');
					switch(parent_link) {
						case 'view_parent_hidden':
							break;
						case 'view_parent_modal':
							modal_window({
								url: pt + '_view.php?Embedded=1&SelectedID=' + encodeURIComponent(parent_id),
								close: function() {
									var field_id = $j('#' + pt + '_view_parent').prevAll('input:hidden').eq(0).attr('id');
									$j('#' + field_id + '-container').select2('focus').select2('focus');
								},
								size: 'full',
								title: $j(this).attr('title')
							});
							break;
						case 'view_parent_same_window':
							window.location = pt + '_view.php?Embedded=' + (embedded_mode ? '1' : '') + '&SelectedID=' + encodeURIComponent(parent_id);
							break;
						case 'view_parent_new_window':
							window.open(pt + '_view.php?SelectedID=' + encodeURIComponent(parent_id));
							break;
					}

				}
			});


			/* load admin tools for admin user */
			if(!add_new_mode) {
				$j('body').append('<div id="admin-tools-appendix"></div>');
				$j('#admin-tools-appendix').load(
					'ajax_admin_tools.php?table=gestion_transactions&id=<%%URLVALUE(idgtransaction)%%>',
					function(resp) {
						if(!resp.length) return;
						$j.ajax('ajax_admin_tools.php?action=get_admin_tools_js&table=gestion_transactions&id=<%%URLVALUE(idgtransaction)%%>');
					}
				);
			}

			/* warn user if 'add new' clicked while unsaved changes exist */
			$j('#addNew').click(function() {
				if($j('#deselect.btn-warning').length) {
					return confirm('<%%TRANSLATION(discard changes confirm)%%>');
				}
			});

		});
	</script>